openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RS_SCRP_GF_RICONS:
    post:
      tags:
      - SCR1
      summary: 'Graphical Screen Painter: Request Icons'
      operationId: /rfc/RS_SCRP_GF_RICONS
      requestBody:
        content:
          application/json:
            schema:
              properties:
                LANGUAGE:
                  type: string
                  default: SY-LANGU
                  maxLength: 1
                  description: Language for icon texts
                ICONS:
                  type: array
                  items:
                    type: object
                    properties:
                      ID:
                        type: string
                        maxLength: 4
                        description: Icon in text fields (substitute display, alias)
                      NAME:
                        type: string
                        maxLength: 30
                        description: Name of an Icon
                      OLENG:
                        type: string
                        maxLength: 1
                        description: Output length 1 in Screen Painter
                      BUTTON:
                        type: string
                        maxLength: 1
                        description: 'Icon suitable for pushbutton  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                        enum:
                        - X
                        - ''
                      STATUS:
                        type: string
                        maxLength: 1
                        description: 'Icon suitable for status display  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                        enum:
                        - X
                        - ''
                      MESSAGE:
                        type: string
                        maxLength: 1
                        description: 'Icon suitable for message  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                        enum:
                        - X
                        - ''
                      FUNCTION:
                        type: string
                        maxLength: 1
                        description: 'Icon suitable for function key  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                        enum:
                        - X
                        - ''
                      TEXTFIELD:
                        type: string
                        maxLength: 1
                        description: 'Icon suitable key word  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                        enum:
                        - X
                        - ''
                      INTERNAL:
                        type: string
                        maxLength: 8
                        description: Icon internal format
                      LOCKED:
                        type: string
                        maxLength: 1
                        description: 'Locked icons  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                        enum:
                        - X
                        - ''
                      LANGU:
                        type: string
                        maxLength: 1
                        description: Language Key
                      SHORTTEXT:
                        type: string
                        maxLength: 30
                        description: Description of an icon
                      QUICKINFO:
                        type: string
                        maxLength: 30
                        description: Quickinfo for an icon
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ICONS:
                    type: array
                    items:
                      type: object
                      properties:
                        ID:
                          type: string
                          maxLength: 4
                          description: Icon in text fields (substitute display, alias)
                        NAME:
                          type: string
                          maxLength: 30
                          description: Name of an Icon
                        OLENG:
                          type: string
                          maxLength: 1
                          description: Output length 1 in Screen Painter
                        BUTTON:
                          type: string
                          maxLength: 1
                          description: 'Icon suitable for pushbutton  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                          enum:
                          - X
                          - ''
                        STATUS:
                          type: string
                          maxLength: 1
                          description: 'Icon suitable for status display  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                          enum:
                          - X
                          - ''
                        MESSAGE:
                          type: string
                          maxLength: 1
                          description: 'Icon suitable for message  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                          enum:
                          - X
                          - ''
                        FUNCTION:
                          type: string
                          maxLength: 1
                          description: 'Icon suitable for function key  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                          enum:
                          - X
                          - ''
                        TEXTFIELD:
                          type: string
                          maxLength: 1
                          description: 'Icon suitable key word  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                          enum:
                          - X
                          - ''
                        INTERNAL:
                          type: string
                          maxLength: 8
                          description: Icon internal format
                        LOCKED:
                          type: string
                          maxLength: 1
                          description: 'Locked icons  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                          enum:
                          - X
                          - ''
                        LANGU:
                          type: string
                          maxLength: 1
                          description: Language Key
                        SHORTTEXT:
                          type: string
                          maxLength: 30
                          description: Description of an icon
                        QUICKINFO:
                          type: string
                          maxLength: 30
                          description: Quickinfo for an icon
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
